Bug 137050 - monitor probe uses external monitor on my laptop
monitor probe uses external monitor on my laptop
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-25 11:50 EDT by david d zuhn
Modified: 2014-03-16 22:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 16:33:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The log from the first session after firstboot (36.04 KB, text/plain)
2004-10-25 14:11 EDT, david d zuhn
no flags Details
The X config file, as generated from firstboot (2.75 KB, text/plain)
2004-10-25 14:12 EDT, david d zuhn
no flags Details

  None (edit)
Description david d zuhn 2004-10-25 11:50:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
(This is FC3 rc1, which wasn't in the version selection choices).

When I run the installer on my laptop (Dell D800), when the monitor is
probed, it finds my connected (but currently unused) external monitor,
and not the LCD display on the laptop itself.

Since the settings aren't compatible, I end up with a bogus X
configuration file unless I boot and immediately switch to my
external display.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start FC installer on laptop display, when external monitor is
connected
2. note that the external monitor is the one returned during video probe
3. continue installation, boot when finished, 

Actual Results:  note that X configuration is botched (suitable for
external monitor, not laptop display)
    

Expected Results:  I would expect that the generated configuration
matches what I used during the installation -- if I had switched to
the external monitor, I wouldn't have a problem with the config file
being written for it.

But to be using one display and have the config file written for the
other one is confusing.

Additional info:
Comment 1 Paul Nasrat 2004-10-25 12:10:24 EDT
Installation does not configure X it's done in first boot.

The dell laptop display is not probable with DDC, but you should have
been able to change the setup in firstboot to be correct selecting a
generic LCD panel of appropriate resolution.
Comment 2 Paul Nasrat 2004-10-25 12:11:37 EDT
If you remove /etc/sysconfig/firstboot and /sbin/chkconfig --add
firstboot and reboot can you select the appropriate display in firstboot?
Comment 3 david d zuhn 2004-10-25 12:22:48 EDT
Well, after a kickstart config, my system boots up straight to the GDM
screen.  So, I'm not offered a choice of monitor settings.   

When I explicitly force a firstboot run after the kickstart (by
writing to /etc/sysconfig/firstboot from %post), I can select a
correct setting.

I was hoping to avoid having to do this manual step during a mass
install of these machine, by making sure the kickstart config was
correct in the first place.  If anaconda isn't going to use these
values, then why are there arguments for providing them.
Comment 4 Paul Nasrat 2004-10-25 12:28:29 EDT
The original bug report did not mention kickstart at all - merely
mentioning the installer.  

Please attach your kickstart file, and the generated xorg.conf.
Comment 5 david d zuhn 2004-10-25 14:07:26 EDT
Let me modify this report (I had too many things going on at once).

When doing a regular (non-kickstart) installation, the monitor probe
finds the attached, but unused, external monitor.   When firstboot
comes up and prompts me for X selection, the choice defaults to what
is probed, not what's actually running.  

If I choose these defaults, X then comes up on the LCD display anyway.

When I switch to the external monitor (via Fn- keys), I get no display
on the external monitor.  After switching back to the built-in
display, the display is heavily compressed vertically and I don't have
any way to return it to a correct state.

I believe that it's a bug that it defaults to the unused external
monitor, but if that's what I selected, it should work.  
Comment 6 david d zuhn 2004-10-25 14:10:05 EDT
For the kickstart related issues, it looks similar to 127475.  
Comment 7 david d zuhn 2004-10-25 14:11:41 EDT
Created attachment 105736 [details]
The log from the first session after firstboot

I switched to the external monitor (attempted, at least) and back during this
session, and the end results were pretty badly messed up.   Everything was very
compressed vertically.
Comment 8 david d zuhn 2004-10-25 14:12:18 EDT
Created attachment 105737 [details]
The X config file, as generated from firstboot
Comment 9 Bill Nottingham 2005-09-23 17:17:49 EDT
Does this persists on FC3 final or FC4?
Comment 10 John Thacker 2006-05-05 16:33:45 EDT
Closing due to lack of response from reporter.

Note You need to log in before you can comment on or make changes to this bug.